# Hive Developer Portal

### Steem Node Command Line Options

All options available to `steemd` at command line interface

Command line options are typically expressed with double-dash (e.g., `--replay-blockchain`):

    steemd --data-dir=. --replay-blockchain

Note that nearly all options available from `config.ini` can be set as command-line options. See: Node Config

The following are only available as command-line options.

### Sections

- `disable-get-block`
- `statsd-record-on-replay`
- `transaction-status-rebuild-state`
- `p2p-force-validate`
- `force-validate`
- `replay-blockchain`
- `force-open`
- `resync-blockchain`
- `stop-replay-at-block`
- `advanced-benchmark`
- `set-benchmark-interval`
- `dump-memory-details`
- `check-locks`
- `validate-database-invariants`
- `database-cfg`
- `memory-replay`
- `chain-id`
- `account-history-rocksdb-immediate-import`

### `disable-get-block`

Disable `get_block` API call.

    --disable-get-block

### `statsd-record-on-replay`

Records statsd events during replay

Used by plugin: `statsd`

See: #2276

    --statsd-record-on-replay

### `transaction-status-rebuild-state`

Indicates that the transaction status plugin must re-build its state upon startup.

Used by plugin: `transaction_status`

See: Plugin & API List, #2458

    --transaction-status-rebuild-state

### `p2p-force-validate`

Force validation of all transactions.

    --p2p-force-validate

### `force-validate`

Force validation of all transactions.

Deprecated in favor of: `p2p-force-validate`

    --force-validate

### `replay-blockchain`

Clear chain database and replay all blocks.

    --replay-blockchain

### `force-open`

Force open the database, skipping the environment check. If the binary or configuration has changed, replay the blockchain explicitly using `--replay-blockchain`. If you know what you are doing you can skip this check and force open the database using `--force-open`.

WARNING: THIS MAY CORRUPT YOUR DATABASE. FORCE OPEN AT YOUR OWN RISK.

See: #3446

    --force-open

### `resync-blockchain`

Clear chain database and block log.

    --resync-blockchain

### `stop-replay-at-block`

Stop and exit after reaching given block number

See: #1590

    --stop-replay-at-block=1234

### `advanced-benchmark`

Make profiling for every plugin.

See: #1996

    --advanced-benchmark

### `set-benchmark-interval`

Print time and memory usage every given number of blocks.

See: #1590

    --set-benchmark-interval

### `dump-memory-details`

Dump database objects memory usage info. Use `set-benchmark-interval` to set dump interval.

See: #1985

    --dump-memory-details

### `check-locks`

Check correctness of chainbase locking.

    --check-locks

### `validate-database-invariants`

Validate all supply invariants check out.

See: #1477, #1649

    --validate-database-invariants

### `database-cfg`

The database configuration file location MIRA only.

    --database-cfg=database.cfg

### `memory-replay`

Replay with state in memory instead of on disk. MIRA only.

See: #3307

    --memory-replay

### `chain-id`

Chain ID to connect to. Testnet only.

See: PR#1631, #2827

    --chain-id=d043ab83d223f25f37e1876fe48a240d49d8e4b1daa2342064990a8036a8bb5b

### `account-history-rocksdb-immediate-import`

Allows to force immediate data import at plugin startup. By default storage is supplied during reindex process.

See: #1987

    --account-history-rocksdb-immediate-import

### `account-history-rocksdb-stop-import-at-block`

Allows you to specify the block number that the data import process should stop at.

See: #1987

    --account-history-rocksdb-stop-import-at-block=1234